<?php
/* setup includes */
require_once('includes/master.inc.php');

/* setup page */
define("PAGE_NAME", t("faq_page_name", "FAQ"));
define("PAGE_DESCRIPTION", t("faq_meta_description", "Frequently Asked Questions"));
define("PAGE_KEYWORDS", t("faq_meta_keywords", "faq, frequently, asked, questions, short, url, site"));

require_once('_header.php');
?>

<div class="contentPageWrapper">

    <!-- main section -->
    <div class="pageSectionMain ui-corner-all">
        <div class="pageSectionMainInternal">
            <div id="pageHeader">
                <h2><?php echo t("faq_page_name", "FAQ"); ?></h2>
            </div>
            <div class="faq">
                <ul>
                    <li>
                        <strong>Q: How can my site benefit from using shortened urls?</strong><br/><br/>
                        A: Shorten long urls such as:<br/><br/>
                        <a href="http://maps.google.co.uk/maps?oe=utf-8&client=firefox-a&rlz=1R1GGLL_en-GB___GB423&um=1&ie=UTF-8&q=google+maps+big+ben&fb=1&gl=uk&hq=google+maps+big+ben&hnear=google+maps+big+ben&cid=0,0,7629721680134612123&ei=AukATpvoBpDA8QPaq4mzDQ&sa=X&oi=local_result&ct=image&resnum=1&ved=0CCAQnwIwAA">http://maps.google.co.uk/maps?oe=utf-8&client=firefox-a&rlz=1R1GGLL_en-GB___GB423&um=1&ie=UTF-8&q=google+maps+big+ben<br/>&fb=1&gl=uk&hq=google+maps+big+ben&hnear=google+maps+big+ben&cid=0,0,7629721680134612<br/>123&ei=AukATpvoBpDA8QPaq4mzDQ&sa=X&oi=local_result&ct=image&resnum=1&ved=0CCAQ<br/>nwIwAA</a>
                        <br/><br/>
                        Into a shorter version such as:<br/><br/>
                        <a href="http://<?php echo _CONFIG_SITE_FULL_URL; ?>">http://<?php echo _CONFIG_SITE_FULL_URL; ?>/a</a>
                        <br/><br/>
                        Then post to Twitter, Facebook, send via email, use on your existing website, advertising, affiliate links, the uses are endless.
                        <br/><br/>
                    </li>
                    <li><strong>Q: How can I view how many visitors have clicked on my short url?</strong><br/><br/>
                        A: You can see details stats including unique visitors, visiting countries, browsers and more by adding ~s onto the end of your short url.
                        <br/><br/>
                    </li>
                    <li><strong>Q: Can I automatically expire my urls after x clicks?</strong><br/><br/>
                        A: Yes. When you create the url, you can specify a 'total uses' value which only allows the short url to be used this amount of times. The url will be expired after the total visits reaches this value.
                        <br/><br/>
                    </li>
                    <li><strong>Q: Can I protect my short with a password?</strong><br/><br/>
                        A: Yes. When creating the url, specify a password within the 'password' input. The visitor will be prompted to enter the password when the visit the url.
                        <br/><br/>
                    </li>
                    <li><strong>Q: How many urls can I create?</strong><br/><br/>
                        A: There are no limits on the amount of urls you can create.
                        <br/><br/>
                    </li>
                    <li><strong>Q: What are the benefits of registering an account?</strong><br/><br/>
                        A: View and manage all your short urls in one place. Easily view your url statistics and share your urls through social media.
                        <br/><br/>
                    </li>
                </ul>
                <div class="clear"></div>
            </div>
        </div>
    </div>
    <?php include_once("_bannerRightContent.inc.php"); ?>
    <div class="clear"><!-- --></div>
</div>

<?php
require_once('_footer.php');
?>